Path parameters

  • locationId string Required
application/json

Body

object object

Responses

  • default text/plain

    default

POST /locations/holidays
curl \
 --request POST 'https://api.staging.deliverect.com/locations/holidays' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"locations":[{"id":"61c30761e41eefadd03072af","holidays":[{"startTime":"2023-12-19T15:53:00Z","endTime":"2023-12-19T16:10:00Z"},{"startTime":"2023-12-20T04:00:00Z","endTime":"2023-12-20T05:00:00Z"}]}]}'
Request example
{
  "locations": [
    {
      "id": "61c30761e41eefadd03072af",
      "holidays": [
        {
          "startTime": "2023-12-19T15:53:00Z",
          "endTime": "2023-12-19T16:10:00Z"
        },
        {
          "startTime": "2023-12-20T04:00:00Z",
          "endTime": "2023-12-20T05:00:00Z"
        }
      ]
    }
  ]
}